| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Static Public Member Functions | List of all members
Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none > Struct Template Reference

BaseValueHandler specialization in the case of atomicity none. More...

`#include <GaudiKernel/Counters.h>`

Inheritance diagram for Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >:
[legend]

## Public Types
using | OutputType = Arithmetic
using | InternalType = Arithmetic

## Static Public Member Functions
static constexpr OutputType | getValue (const InternalType &v) noexcept
static Arithmetic | exchange (InternalType &v, Arithmetic newv) noexcept

## Detailed Description

### template<typename Arithmetic>
struct Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >

BaseValueHandler specialization in the case of atomicity none.

Definition at line 210 of file Counters.h.

## Member Typedef Documentation

## ◆ InternalType

template<typename Arithmetic >

using Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >::InternalType = Arithmetic

Definition at line 212 of file Counters.h.

## ◆ OutputType

template<typename Arithmetic >

using Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >::OutputType = Arithmetic

Definition at line 211 of file Counters.h.

## Member Function Documentation

## ◆ exchange()

template<typename Arithmetic >

static Arithmetic Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >::exchange | ( | InternalType & | v,
|  | Arithmetic | newv
| ) |  |
| inline static noexcept

Definition at line 214 of file Counters.h.

214 { return std::exchange( v, newv ); }

## ◆ getValue()

template<typename Arithmetic >

static constexpr OutputType Gaudi::Accumulators::BaseValueHandler< Arithmetic, atomicity::none >::getValue | ( | const InternalType & | v | ) |
| inline static noexcept

Definition at line 213 of file Counters.h.

213 { return v; };

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h